# - Find pkcs11
# Find the PKCS11 module
#
# PKCS11_MODULE			- pkcs11 module path and name
# PKCS11_MODULE_FOUND	- True if pkcs11 module found.


if( PKCS11_MODULE ) # Already in cache, be silent
  set( PKCS11_FIND_QUIETLY TRUE )
endif( PKCS11_MODULE )

if( WIN32 )
	set( PKCS11_NAME "opensc-pkcs11.dll" )
else( WIN32 )
	set( PKCS11_NAME "opensc-pkcs11.so" )
endif( WIN32 )

find_library( PKCS11_MODULE NAMES ${PKCS11_NAME} HINTS /Library/OpenSC/lib )

# handle the QUIETLY and REQUIRED arguments and set PKCS11_MODULE_FOUND to TRUE if 
# all listed variables are TRUE
include( FindPackageHandleStandardArgs )
FIND_PACKAGE_HANDLE_STANDARD_ARGS( PKCS11_Module DEFAULT_MSG PKCS11_MODULE )

if( NOT PKCS11_MODULE_FOUND )
  set( PKCS11_MODULE ${PKCS11_NAME} )
endif( NOT PKCS11_MODULE_FOUND )

MARK_AS_ADVANCED( PKCS11_MODULE )
